# ldapscripts example config

##
## Default entries are guessed from this script.
## you just need to overried the wrong guessed ones
##

################################################################################
##
## LDAP Configuration
##

## Server name
# SERVER=localhost

## Bind DN
# BINDDN='cn=Manageur,dc=example,dc=com'

## Bind Password
# BINDPWD='secret'

## Default suffix
# SUFFIX='dc=example,dc=com'

## Group/User(aka People)/Machines (aka Hosts) Organizational Unit
# GSUFFIX='ou=Group'
# USUFFIX='ou=People'
# MSUFFIX='ou=Hosts'

################################################################################
##
## Scripts behaviour
##

## log everything that is performed by those scripts
# LOGFILE="/var/log/ldapscripts.log"

## Start with these IDs *if no entry found in LDAP*
#GIDSTART=1000
#UIDSTART=1000
#MIDSTART=1000

## Default Shell
# USHELL=/bin/bash

## default homes (%u is the user name)
#  UHOMES="/home/%u"

## Does the script should create homes ?
##
## Default is no, since pam can do it by changing your /etc/pam.d/common-session to :
##
##  session required pam_unix.so
##  session required pam_mkhomedir.so skel=/etc/skel/ umask=0022
##
# CREATEHOMES="no"

## HOW to generate passwords :
# PASSWORDGEN="echo changeme"
# PASSWORDGEN="echo %u"
#
# default is :
# PASSWORDGEN="head -c8 /dev/random | uuencode -m - | sed -n -e '2s|=*$||;2p' | sed -e 's|+||g' -e 's|/||g'"

## User passwords recording
## you can keep trace of generated passwords setting PASSWORDFILE and RECORDPASSWORDS 
## (useful when performing a massive creation / net rpc vampire)
## WARNING !!!! DO NOT FORGET TO DELETE THE GENERATED FILE WHEN DONE !
## WARNING !!!! DO NOT FORGET TO TURN OFF RECORDING WHEN DONE !
# RECORDPASSWORDS="no"
# PASSWORDFILE="/var/log/ldapscripts_passwd.log"

##### End of configuration #####
